Skip to main content
GET
/
api
/
buckets
Get buckets by account number
curl --request GET \
  --url https://sbx.api.easybilling.cloud/billing/api/buckets \
  --header 'Authorization: Bearer <token>'
{
  "id": "196c4a3c-0ab6-4b17-b60f-43fda3f81cca",
  "accountId": "cebe6630-d4b0-4333-85b3-714c16589417",
  "contractId": "d9a026f7-ef48-49f0-87dd-f806c401dc02",
  "contractSegmentId": "72ac836b-3f64-4319-a41c-b253ea0210c2",
  "externalReferenceId": null,
  "totalBalance": 20000,
  "remainingBalance": 17500,
  "uom": "Token",
  "cost": 200,
  "validFrom": "2026-03-01",
  "validTo": "2026-04-01",
  "type": "resource-based-credit",
  "sourceId": "d9a026f7-ef48-49f0-87dd-f806c401dc02",
  "status": "active",
  "sourceItemId": "e52a7c4f-3720-49a3-8a39-fa9306450cf1",
  "createdAt": "2026-03-07T15:05:04Z",
  "createdBy": "25cb57f6-9e14-4879-9be7-97a778ea460e",
  "updatedAt": "2026-03-07T15:05:05Z",
  "updatedBy": "system"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

trace-id
string

Query Parameters

accountNumber
string

Response

Found the Buckets

id
string

Unique identifier

accountId
string

Account identifier

contractId
string

Contract identifier

contractSegmentId
string

Contract segment identifier

externalReferenceId
null

External reference identifier

totalBalance
number<double>

Total balance

remainingBalance
number<double>

Remaining balance

uom
string

Unit of measure for resource-based-credit; currency for currency-based-credit

price
number<double>

the price of the bucket credits

validFrom
string<date>

Valid from date

Example:

"2026-03-05"

validTo
string<date>

Valid to date

Example:

"2026-04-05"

type
enum<string>

Type

Available options:
resouce-based-credit,
currency-based-credit
sourceId
string
status
string
sourceItemId
string
createdAt
string<date-time>
createdBy
string
updatedAt
string<date-time>
updatedBy
string